<EntityClassDefinition.DoorProximitySensorItem_Template __id="43324935-bfe9-42ac-8a7a-50fa481c7948" __path="libs/foundry/records/entities/scitem/doors/entityclassdefinition.doorproximitysensoritem_template.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="DoorPart" Tags="" Type="Sensor">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemProximitySensorParams __type="DataForgeComponentParams" __polymorphicType="SCItemProximitySensorParams" activeOnEnterTag="5c5fa754-3ab1-4102-a70b-c661d2ec99d1" considerActorVelocity="0" exitDelay="1.0">
      <EnteredInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="5ed0ade9-51ed-4bed-835c-ada7fbd38738" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </EnteredInteraction>
      <ExitedInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="61cc8167-9013-4534-b4fc-3d7f60e752b7" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </ExitedInteraction>
      <SensorShape __type="SCItemProximitySensorShapeParams" __polymorphicType="SCItemProximitySensorBoxParams">
        <Extent __type="Vec3" x="2.0" y="3.0" z="2.0" />
        <Offset __type="Vec3" x="0.0" y="0.0" z="0.0" />
      </SensorShape>
    </SCItemProximitySensorParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints />
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="5ed0ade9-51ed-4bed-835c-ada7fbd38738" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="61cc8167-9013-4534-b4fc-3d7f60e752b7" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="ebf006cc-5e14-4c5a-b234-b361e8286bf1" LockedByLinks="0" Name="EnableProximitySensor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="c0745711-1275-4a74-8f1f-83b6aa28c706" LockedByLinks="0" Name="DisableProximitySensor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" DefaultState="None" networkAuthority="Server" StateTypeName="EnabledStates">
          <StateModifiers />
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Enabled">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <entityTags __type="TagList">
                <tags />
              </entityTags>
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="c0745711-1275-4a74-8f1f-83b6aa28c706" LockedByLinks="0" Name="DisableProximitySensor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Disabled" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    </Interactions>
                  </NextState>
                </SInteractionStateTransition>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="5ed0ade9-51ed-4bed-835c-ada7fbd38738" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Enabled" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    </Interactions>
                  </NextState>
                </SInteractionStateTransition>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="61cc8167-9013-4534-b4fc-3d7f60e752b7" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Enabled" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    </Interactions>
                  </NextState>
                </SInteractionStateTransition>
              </Interactions>
              <stateTags __type="TagList">
                <tags 670e9e07-7650-4220-8a09-fd2dbe30d20f="670e9e07-7650-4220-8a09-fd2dbe30d20f" />
              </stateTags>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Disabled" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" DefaultState="None" networkAuthority="Server" StateTypeName="OccupiedStates">
          <StateModifiers />
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unoccupied">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <entityTags __type="TagList">
                <tags />
              </entityTags>
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="5ed0ade9-51ed-4bed-835c-ada7fbd38738" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Occupied" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    </Interactions>
                  </NextState>
                </SInteractionStateTransition>
              </Interactions>
              <stateTags __type="TagList">
                <tags c1cf83a3-f987-4e64-8049-7f7e9750d617="c1cf83a3-f987-4e64-8049-7f7e9750d617" />
              </stateTags>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Occupied" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <EntityComponentPowerConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentPowerConnection" DecayRateOfEM="0.15000000596046448" DisplayedInPoweredItemList="0" IsOverclockable="0" IsThrottleable="0" MisfireGenerationParams="None" MisfireItemTypeLocID="@LOC_PLACEHOLDER" OverclockPerformance="0.0" OverclockThresholdMax="0.0" OverclockThresholdMin="0.0" OverpowerPerformance="0.0" PowerBase="0.0" PowerDraw="1.0" PowerToEM="0.0" SafeguardPriority="0" TimeToReachDrawRequest="0.0" WarningDelayTime="0.30000001192092896" WarningDisplayTime="8.0">
      <MisfireEvents __type="SMisfireEvents">
        <CriticalMisfires />
        <MajorMisfires />
        <MinorMisfires />
      </MisfireEvents>
    </EntityComponentPowerConnection>
    <SHealthComponentParams __type="SBaseHealthComponentParams" __polymorphicType="SHealthComponentParams" ClientOnly="0" DeathExplosionParams="None" DebrisGeometryTag="" DestroyedGeometryTag="" DetachFromEntityOnDeath="0" DetachFromItemPortOnDeath="0" ExplodedGeometryTag="" ExplosionBone="" ExplosionDelayTime="0.0" ExplosionRandomDelayRange="0.0" Health="99.0" InitialDamage="None" IsRepairable="1" IsSalvagable="1" PropagateExplosionDamageToChildren="0" PushDamageUpPartsHeirarchyWhenDead="1" UnlockInteractionsOnDeath="0" UseDirtShaderForDamage="0">
      <DamageResistances __type="DamageResistanceBase" __polymorphicType="DamageResistance">
        <BiochemicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <DistortionResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <EnergyResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <PhysicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <StunResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <ThermalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
      </DamageResistances>
      <DeathGasComposition />
      <HealthLevelStates />
      <InteractionLocks />
    </SHealthComponentParams>
    <SEntityTraversingTreeParams __type="DataForgeComponentParams" __polymorphicType="SEntityTraversingTreeParams">
      <TraversingNodes>
        <SEntityTraversingNodeBase __type="SEntityTraversingNodeBase" id="None" name="">
          <entityTraversingType __type="SEntityTraversingNodeTypeParams" __polymorphicType="SEntityTraversingNodeTypeParentEntity" />
          <executeNodes>
            <SEntityTraversingNodeExecuteLinkAllTaggedInteractions __type="SEntityTraversingExecuteNodeBase" __polymorphicType="SEntityTraversingNodeExecuteLinkAllTaggedInteractions" />
          </executeNodes>
          <nextNodes />
        </SEntityTraversingNodeBase>
      </TraversingNodes>
    </SEntityTraversingTreeParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.DoorProximitySensorItem_Template>